Package com.sun.jna.platform.win32

## Class Winspool.PRINTER_NOTIFY_INFO_DATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winspool.PRINTER_NOTIFY_INFO_DATA

Enclosing interface:
  Winspool

    @FieldOrder({"Type","Field","Reserved","Id","NotifyData"})
    public static class Winspool.PRINTER_NOTIFY_INFO_DATA
    extends Structure

The PRINTER_NOTIFY_INFO_DATA structure identifies a job or printer information field and provides the current data for that field.

See Also:
  PRINTER_NOTIFY_INFO_DATA structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`short` `Field` Indicates the field that changed.
`int` `Id` Indicates the job identifier if the Type member specifies JOB_NOTIFY_TYPE.
`Winspool.NOTIFY_DATA` `NotifyData` A union of data information based on the Type and Field members.
`int` `Reserved` Reserved.
`short` `Type` Indicates the type of information provided.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`PRINTER_NOTIFY_INFO_DATA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read()` Reads the fields of the struct from native memory

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Type

    public short Type

Indicates the type of information provided.

#### Field

    public short Field

Indicates the field that changed.

#### Reserved

    public int Reserved

Reserved.

#### Id

    public int Id

Indicates the job identifier if the Type member specifies JOB_NOTIFY_TYPE. If the Type member specifies PRINTER_NOTIFY_TYPE, this member is undefined.

#### NotifyData

    public Winspool.NOTIFY_DATA NotifyData

A union of data information based on the Type and Field members.

### Constructor Detail

#### PRINTER_NOTIFY_INFO_DATA

    public PRINTER_NOTIFY_INFO_DATA()

### Method Detail

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`